%define somajor 4
%define girapi 1.0
%define qtsomajor 2
%define libname %mklibname %{name} %{somajor}
%define devname %mklibname %{name} -d
%define girname %mklibname %{name}-gir %{girapi}
%define qtlibname %mklibname %{name}qt %{qtsomajor}
%define qtdevname %mklibname %{name}qt -d

%global vala 1

Summary: Utilities to generate, maintain and access the AppStream database
Name:    appstream
Version: 0.11.2
Release: %mkrel 1
Group:   System/Packaging

# lib LGPLv2+, tools GPLv2+
License: GPLv2+ and LGPLv2+
URL:     https://github.com/ximion/appstream
Source0: http://www.freedesktop.org/software/appstream/releases/AppStream-%{version}.tar.xz

BuildRequires: cmake
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: xmlto
BuildRequires: cmake
BuildRequires: lib64girepository-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5test-devel
BuildRequires: lib64stemmer-devel
BuildRequires: lib64xml2-devel
BuildRequires: lib64yaml-devel
BuildRequires: vala
BuildRequires: vala-tools
BuildRequires: xsltproc

Requires: %{libname}%{?_isa} = %{version}-%{release}

%description
AppStream makes it easy to access application information from the
AppStream database over a nice GObject-based interface.

%package -n %{libname}
Summary:  Library for %{name}
Group:    System/Libraries
%description -n %{libname}
%{summary}.

%package -n %{devname}
Summary:  Development files for %{name}
Group:    Development/Libraries
Requires: %{libname}%{?_isa} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: %{name}-devel%{?_isa} = %{version}-%{release}
%description -n %{devname}
%{summary}.

%package -n %{qtlibname}
Summary: Qt5 bindings for %{name}
Group:   System/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
%description -n %{qtlibname}
%{summary}.

%package -n %{qtdevname}
Summary:  Development files for %{name} Qt5 bindings
Group:    Development/Libraries
Provides: %{name}-qt-devel = %{version}-%{release}
Provides: %{name}-qt-devel%{?_isa} = %{version}-%{release}
Requires: %{qtlibname}%{?_isa} = %{version}-%{release}
%description -n %{qtdevname}
%{summary}.

%if 0%{?vala}
%package vala
Summary: Vala bindings for %{name}
Group:   Development/Other
Requires: %{name}%{?_isa} = %{version}-%{release}
BuildRequires: vala-tools
Requires: vala
%description vala
%{summary}.
%endif


%prep

%setup -qn AppStream-%{version}


%build
%cmake .. \
  -DQT:BOOL=ON \
  -DTESTS:BOOL=ON \
  -DVAPI:BOOL=%{?vala:ON}%{!?vala:OFF} \
  -DCMAKE_INSTALL_METAINFODIR:PATH=share/appdata
  
%make_build


%install
rm -rf %buildroot
%make_install -C build

mkdir -p %{buildroot}/var/cache/app-info/{icons,gv,xmls}
touch %{buildroot}/var/cache/app-info/cache.watch

%find_lang appstream


%check
# The test suite doesn't automatically know to look at the "built"
# library, so we force it by creating an LD_LIBRARY_PATH
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}
make test -C build ARGS="--output-on-failure --timeout 300"


%posttrans
%{_bindir}/appstreamcli refresh --force >& /dev/null ||:

%files -f appstream.lang
%{_bindir}/appstreamcli
%{_mandir}/man1/appstreamcli.1*
%config(noreplace) %{_sysconfdir}/appstream.conf
%{_datadir}/metainfo/org.freedesktop.appstream.cli.metainfo.xml
%{_datadir}/gettext/its/metainfo.*
%ghost /var/cache/app-info/cache.watch
%dir /var/cache/app-info/
%dir /var/cache/app-info/icons/
%dir /var/cache/app-info/gv/
%dir /var/cache/app-info/xmls/

%files -n %{libname}
%{_libdir}/libappstream.so.%{somajor}
%{_libdir}/libappstream.so.%{version}
%{_libdir}/girepository-1.0/AppStream-%{girapi}.typelib

%files -n %{devname}
%{_includedir}/AppStream/
%{_libdir}/libappstream.so
%{_libdir}/pkgconfig/appstream.pc
%{_datadir}/gir-1.0/AppStream-1.0.gir
%{_docdir}/appstream/html/
%exclude %{_datadir}/gtk-doc/html/appstream

%files -n %{qtlibname}
%{_libdir}/libAppStreamQt.so.%{qtsomajor}
%{_libdir}/libAppStreamQt.so.%{version}

%files -n %{qtdevname}
%{_includedir}/AppStreamQt/
%{_libdir}/cmake/AppStreamQt/
%{_libdir}/libAppStreamQt.so

%if 0%{?vala}
%files vala
%{_datadir}/vala/vapi/appstream.deps
%{_datadir}/vala/vapi/appstream.vapi
%endif


%changelog
* Tue Aug 08 2017 bb2 <bb2> 0.11.2-1pclos2017
- new version
